- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# TC Struct Reference

Search for all occurrences

## Detailed Description

Represents Texture Coordinates (UVs) in the mesh.

A Mesh object may or may not have Texture Coordinates. If a mesh does have TCs, you can access them via Mesh::TriangleVertexTC or Mesh::QuadVertexTC. Although TCs are associated with particular Vertices, they are not part of the Vertex object. This is because a single Vertex may have more different TCs associated with each face that includes the Vertex.

Examples:

  MeshBuilder/MeshBuilder.cpp.

Definition at line 135 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
| TC (void)
| TC (float fU, float fV)
bool | operator== (const TC &a) const
bool | operator!= (const TC &a) const
TC | operator+ (const TC &a) const
TC | operator- (const TC &a) const
TC | operator* (float f) const
TC | operator/ (float f) const
TC & | operator+= (const TC &a)
TC & | operator-= (const TC &a)
TC & | operator*= (float f)
TC & | operator/= (float f)
| operator bool (void) const throw ()
| operator Vector (void) const throw ()
| operator const float * (void) const
void | Normalize (void)
float | Length (void)
## Public Attributes
union {
float m_fU
float u
}; |
union {
float m_fV
float v
}; |

## Constructor & Destructor Documentation

TC | ( | void |  | ) | `[inline]`

Definition at line 137 of file mesh.h.

    {m_fU = m_fV = 0.0f;};

TC | ( | float | fU,
|  | float | fV
| ) |  | `[inline]`

Definition at line 138 of file mesh.h.

    { m_fU = fU; m_fV = fV; };

## Member Function Documentation

bool operator== | ( | const TC & | a | ) | const `[inline]`

Definition at line 139 of file mesh.h.

    { return m_fU == a.m_fU && m_fV == a.m_fV; };

bool operator!= | ( | const TC & | a | ) | const `[inline]`

Definition at line 140 of file mesh.h.

    { return !operator==( a ); };

TC operator+ | ( | const TC & | a | ) | const `[inline]`

Definition at line 141 of file mesh.h.

    { return TC( m_fU + a.m_fU, m_fV + a.m_fV ); };

TC operator- | ( | const TC & | a | ) | const `[inline]`

Definition at line 142 of file mesh.h.

    { return TC( m_fU - a.m_fU, m_fV - a.m_fV ); };

TC operator* | ( | float | f | ) | const `[inline]`

Definition at line 143 of file mesh.h.

    { return TC( m_fU * f, m_fV * f ); };

TC operator/ | ( | float | f | ) | const `[inline]`

Definition at line 144 of file mesh.h.

    { return TC( m_fU / f, m_fV / f ); };

TC& operator+= | ( | const TC & | a | ) | `[inline]`

Definition at line 145 of file mesh.h.

    { m_fU += a.m_fU, m_fV += a.m_fV; return *this; };

TC& operator-= | ( | const TC & | a | ) | `[inline]`

Definition at line 146 of file mesh.h.

    { m_fU -= a.m_fU, m_fV -= a.m_fV; return *this; };

TC& operator*= | ( | float | f | ) | `[inline]`

Definition at line 147 of file mesh.h.

    { m_fU *= f, m_fV *= f; return *this; };

TC& operator/= | ( | float | f | ) | `[inline]`

Definition at line 148 of file mesh.h.

    { m_fU /= f, m_fV /= f; return *this; };

operator bool | ( | void |  | ) | const throw () `[inline]`

Definition at line 149 of file mesh.h.

    { return m_fU || m_fV; };

operator Vector | ( | void |  | ) | const throw () `[inline]`

Definition at line 150 of file mesh.h.

    { return Vector( m_fU, m_fV, 0 ); };

operator const float * | ( | void |  | ) | const `[inline]`

Definition at line 151 of file mesh.h.

    { return &u; };

void Normalize | ( | void |  | ) |

Search for all occurrences

float Length | ( | void |  | ) |

Search for all occurrences

## Member Data Documentation

float m_fU

Search for all occurrences

Definition at line 156 of file mesh.h.

float u

Search for all occurrences

Definition at line 157 of file mesh.h.

union { ... }

Search for all occurrences

float m_fV

Search for all occurrences

Definition at line 161 of file mesh.h.

float v

Search for all occurrences

Definition at line 162 of file mesh.h.

union { ... }

Search for all occurrences

The documentation for this struct was generated from the following file:

- Mudbox/mesh.h